<template>
  <Modal :value="visible" title="网站配置" @on-visible-change="visibleChange">
    <p>
      apiUrl：
      <Input
        v-model="apiUrl"
        style="width: 360px; margin-right: 9px; margin-bottom: 3px"
      />
      <Button type="primary" size="small" @click="setConfig"
        >设置</Button
      >
    </p>
    <p>svgName：{{ svgName }}</p>
    <template #footer>
      <Button type="primary" @click="close">关闭</Button>
    </template>
  </Modal>
</template>

<script>
import { webConfig } from "@/utils";
export default {
  name: "DebugModal",
  model: {
    prop: "visible",
    event: "visible-change",
  },
  props: {
    visible: Boolean,
  },
  data() {
    return {
      apiUrl: webConfig.apiUrl,
      svgName: webConfig.svgName,
    };
  },
  methods: {
    visibleChange(value) {
      this.$emit("visible-change", value);
    },
    close() {
      this.$emit("visible-change", false);
    },
    setConfig() {
      window.localStorage.setItem("apiUrl", this.apiUrl);
      this.$Message.success({
        background: true,
        content: "设置成功，网页刷新后生效",
        duration: 10,
        closable: true,
      });
    },
  },
};
</script>

<style lang="less" scoped>
</style>